use crate::{datastructs::RenderState, RenderInput};

mod manager;
mod radar;
mod status;

pub use manager::UiManager;

trait UiElement {
	fn draw(&mut self, input: &RenderInput, state: &mut RenderState);
}
